org.jboss.netty.handler.codec.replay

## Class UnreplayableOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.UnsupportedOperationException
        - - org.jboss.netty.handler.codec.replay.UnreplayableOperationException

All Implemented Interfaces:
  Serializable

    public class UnreplayableOperationException
    extends UnsupportedOperationException

An `Exception` which is thrown when a user calls an unsupported operation on a `ChannelBuffer` in a `ReplayingDecoder` implementation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`UnreplayableOperationException()` Creates a new instance.
`UnreplayableOperationException(String message)` Creates a new instance.
`UnreplayableOperationException(String message, Throwable cause)` Creates a new instance.
`UnreplayableOperationException(Throwable cause)` Creates a new instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnreplayableOperationException

    public UnreplayableOperationException()

Creates a new instance.

#### UnreplayableOperationException

    public UnreplayableOperationException(String message)

Creates a new instance.

#### UnreplayableOperationException

    public UnreplayableOperationException(Throwable cause)

Creates a new instance.

#### UnreplayableOperationException

    public UnreplayableOperationException(String message,
                                  Throwable cause)

Creates a new instance.